#ifdef        GLOBALS_APP_OSEK_NM
    #define   extern 
#else
    #define   extern      extern
#endif

#ifndef __APP_OSEK_NM_H__
#define __APP_OSEK_NM_H__

#include "NM_Config.h"


#define NM_OSEK_ID_MIN 0X18FFA000UL
#define NM_OSEK_ID_MAX 0X18FFA07FUL




extern  OSEK_NM_INIT   OSEK_NM_INI;
extern  AppMsgTime_t    APPSendMsg;
extern  uint16_t u32OsekAPPFlag;

extern  void OsekNMInit(void);
extern  void SendMsg(void);
extern  void NM_Process(void);
extern  void SendMsg30Init(void);
extern  void Osek_APP_TX_Init(void);

#endif


